## org.eclipse.datatools.sqltools.data.internal.core.common.data
Class DataDeserializer

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.common.data.DataDeserializer

    public class DataDeserializer

extends java.lang.Object

Constructor Summary
`DataDeserializer()`

Method Summary
`static java.lang.Object` `deserialize(java.lang.String val, int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataDeserializer

    public DataDeserializer()

Method Detail

### deserialize

    public static java.lang.Object deserialize(java.lang.String val,
                                               int type)